summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Martin Rogge2012-04-23 06:21:11 +0200
committer Erik Hanson2012-04-23 06:21:11 +0200
commit9fb887265c14426955c27c33cc9d009807dfdcc7 (patch)
tree8aeecef1a4f2fa6bb03c45bd7dd02444006cc7ca /games
parentad2afaec7a7d182469e72cfe301044fabf102e84 (diff)
downloadslackbuilds-9fb887265c14426955c27c33cc9d009807dfdcc7.tar.gz
games/firestorm: Updated for version 4.0.1.27000.
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/firestorm/doinst.sh2
-rw-r--r--games/firestorm/firestorm.SlackBuild27
-rw-r--r--games/firestorm/firestorm.desktop3
-rw-r--r--games/firestorm/firestorm.info8
4 files changed, 21 insertions, 19 deletions
diff --git a/games/firestorm/doinst.sh b/games/firestorm/doinst.sh
index 5fb28930db..5e0294e2f9 100644
--- a/games/firestorm/doinst.sh
+++ b/games/firestorm/doinst.sh
@@ -1,3 +1,3 @@
if [ -x /usr/bin/update-desktop-database ]; then
- /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+ /usr/bin/update-desktop-database 1> /dev/null &> /dev/null
fi
diff --git a/games/firestorm/firestorm.SlackBuild b/games/firestorm/firestorm.SlackBuild
index 38503d0ecf..1fc636179b 100644
--- a/games/firestorm/firestorm.SlackBuild
+++ b/games/firestorm/firestorm.SlackBuild
@@ -10,7 +10,7 @@
# permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
+# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
@@ -24,7 +24,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=firestorm
-VERSION=${VERSION:-3.2.2.24336}
+VERSION=${VERSION:-4.0.1.27000}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -32,7 +32,7 @@ if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i686 ;;
arm*) ARCH=arm ;;
- *) ARCH=$( uname -m ) ;;
+ *) ARCH=$( uname -m ) ;;
esac
fi
@@ -42,14 +42,14 @@ PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" != "i686" ] ; then
- echo "Architecture other than i686 is not supported by upstream at this point."
- exit
+ echo "Architecture other than i686 is not supported by upstream at this point."
+ exit
fi
-set -e
+set -e
-BASENAME="Phoenix_Firestorm-Release_i686_$VERSION"
-FILENAME="${BASENAME}.tar.bz2"
+BASENAME="Phoenix_Firestorm-Release_i686_${VERSION}"
+FILENAME="Phoenix_Firestorm-Release_i686_${VERSION}.tar.bz2"
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -62,7 +62,10 @@ chown -R root:root .
chmod -R u+rw-s,go+r-ws .
mkdir -p $PKG/opt/$PRGNAM
-cp -a * $PKG/opt/$PRGNAM # does the same as the install script in the archive
+# copy files just like the install script would do
+cp -a * $PKG/opt/$PRGNAM
+# sound configuration for standard Slackware installation
+cat firestorm | sed -e 's/^#export LL_BAD_OPENAL_DRIVER=x/export LL_BAD_OPENAL_DRIVER=x/' > $PKG/opt/$PRGNAM/firestorm
mkdir -p $PKG/usr/bin
cat << EOF > $PKG/usr/bin/$PRGNAM
@@ -72,15 +75,15 @@ exec /opt/$PRGNAM/firestorm
EOF
chmod 755 $PKG/usr/bin/$PRGNAM
-install -m 0644 -p -D $TMP/$BASENAME/firestorm_icon.png $PKG/usr/share/pixmaps/$PRGNAM.png
+install -m 0644 -p -D $TMP/$BASENAME/firestorm_icon.png $PKG/usr/share/pixmaps/$PRGNAM.png
mkdir -p $PKG/usr/share/applications
cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
- FIRESTORM_DESKTOPINSTALL.txt README*.txt VivoxAUP.txt featuretable_linux.txt gpu_table.txt licenses.txt \
- $PKG/usr/doc/$PRGNAM-$VERSION/
+ FIRESTORM_DESKTOPINSTALL.txt README*.txt VivoxAUP.txt featuretable_linux.txt gpu_table.txt licenses.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION/
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/games/firestorm/firestorm.desktop b/games/firestorm/firestorm.desktop
index 97f52f213f..cbbfab8c62 100644
--- a/games/firestorm/firestorm.desktop
+++ b/games/firestorm/firestorm.desktop
@@ -8,5 +8,4 @@ Icon=firestorm.png
Exec=firestorm
Terminal=false
StartupNotify=false
-Categories=Application;Game;ActionGame
-
+Categories=Application;Game;ActionGame
diff --git a/games/firestorm/firestorm.info b/games/firestorm/firestorm.info
index e5d0b312ee..d799717748 100644
--- a/games/firestorm/firestorm.info
+++ b/games/firestorm/firestorm.info
@@ -1,10 +1,10 @@
PRGNAM="firestorm"
-VERSION="3.2.2.24336"
+VERSION="4.0.1.27000"
HOMEPAGE="http://www.phoenixviewer.com/"
-DOWNLOAD="http://downloads.phoenixviewer.com/Linux/Phoenix_Firestorm-Release_i686_3.2.2.24336.tar.bz2"
-MD5SUM="4604350f893e5f82512efb5db638514c"
+DOWNLOAD="http://downloads.phoenixviewer.com/Linux/Phoenix_Firestorm-Release_i686_4.0.1.27000.tar.bz2"
+MD5SUM="0f5314d009b5f7d646a8691caa587fda"
DOWNLOAD_x86_64="UNSUPPORTED"
MD5SUM_x86_64="UNSUPPORTED"
MAINTAINER="Martin Rogge"
EMAIL="martin_rogge@users.sourceforge.net"
-APPROVED="Niels Horn"
+APPROVED="Niels Horn,Erik Hanson"